Evolution-Data-Server Manual: Private: org.gnome.evolution.dataserver.SourceManager

## org.gnome.evolution.dataserver.SourceManager org.gnome.evolution.dataserver.SourceManager — SourceManager interface |

## Methods

    AllowAuthPromptAll ();
    Authenticate       (IN  s     uid,
                        IN  s     prompt_title,
                        IN  s     prompt_message,
                        IN  s     prompt_description,
                        OUT s     object_path);
    CreateSources      (IN  a{ss} array);
    Reload             ();

## Description

Interface for top-level manager singleton objects.

## Method Details

### The AllowAuthPromptAll() method

    AllowAuthPromptAll ();

This method is equivalent to calling AllowAuthPrompt() on each managed object, but does so in a single method invocation.

Since 3.8

### The Authenticate() method

    Authenticate (IN  s uid,
                  IN  s prompt_title,
                  IN  s prompt_message,
                  IN  s prompt_description,
                  OUT s object_path);

Initiates a new authentication session at the returned object path. The client should prepare to receive Response signals from the Authenticator interface at that object path, then call the interface's Ready method.

The `prompt_title`, `prompt_message` and `prompt_description` arguments are used to construct an authentication prompt if necessary. (See #GcrPrompt for details.)

`IN s `uid``: | Unique identifier for the authenticating source
`IN s `prompt_title``: | The title of the prompt
`IN s `prompt_message``: | The prompt message for the user
`IN s `prompt_description``: | The detailed description of the prompt
`OUT s `object_path``: | Object path of a new authentication session

### The CreateSources() method

    CreateSources (IN  a{ss} array);

Creates a new data source for each "uid" and "data" string pair in `array` and adds them to the list of managed objects. The "uid" part is a unique identifier for the new source, and the "data" part is the raw key file data describing the new source.

`IN a{ss} `array``: | An array of "uid" and "data" pairs

### The Reload() method

    Reload ();

Reloads the registry service as if it were stopped and restarted. Client applications will see all exported objects suddenly removed and replaced by a new and possibly different set of objects.

The primary use case for this method is to rerun the data migration routines that run automatically on startup.

A reload can also be triggered by sending the SourceManager process a SIGHUP on platforms that support it.